summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2015-11-11 08:46:07 +0100
committerManuel Rüger <mrueg@gentoo.org>2015-11-11 08:46:07 +0100
commitb8a5c780bd1b1eab4fbd263dc55e3e32be6b311a (patch)
tree742193e5d0de0f4602d0588b41913e82636565a7
parentwww-client/seamonkey: Adjusted dependencies on nss and nspr. (diff)
downloadgentoo-b8a5c780bd1b1eab4fbd263dc55e3e32be6b311a.tar.gz
gentoo-b8a5c780bd1b1eab4fbd263dc55e3e32be6b311a.tar.bz2
gentoo-b8a5c780bd1b1eab4fbd263dc55e3e32be6b311a.zip
app-misc/ckb: Version bump
Package-Manager: portage-2.2.24
-rw-r--r--app-misc/ckb/Manifest1
-rw-r--r--app-misc/ckb/ckb-0.2.2.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/app-misc/ckb/Manifest b/app-misc/ckb/Manifest
index 4a4d7e5ae4f..ee2f773a943 100644
--- a/app-misc/ckb/Manifest
+++ b/app-misc/ckb/Manifest
@@ -1 +1,2 @@
DIST ckb-0.2.1.tar.gz 430544 SHA256 0a44c72ad56cd9c0ee939cafea736b396c7ea72a24466fa0bee1beb4c8100496 SHA512 d8527cb2efc0be4d8bfe5f8ce95faa9c4bb2e7d2a85301591ea170f68cd6e58479ee49ac2de29ae80c8365137c31f78e83c13bc0c6d0a1659d702cfc740125fb WHIRLPOOL a036431118c15515825327b841b864741cdee9f1ec409af06750d82f65e2b8eb02425809a568f41752a943ffb6d729aa2bca143dd522cc867def9189997ea543
+DIST ckb-0.2.2.tar.gz 513180 SHA256 bb916af087fb6fd9f9955c79edc899c6343b12c9db576d6adbd6c608b22e9f7b SHA512 0f6236f922330b497c1297e0fec609400e1c7723937fe4e58702b62647068cc8271bbdd95c424d70debdbe81b843af22c09c9ce4a178f9b9796794b287847cfc WHIRLPOOL c65fb7b01eeef73ad6d2bc0755955af5e5a68f3797e5d737aca058a37744c166106c242081d89ac041743e45cb5f5c305a455ca439b9986b8e0e1a8a97c150f5
diff --git a/app-misc/ckb/ckb-0.2.2.ebuild b/app-misc/ckb/ckb-0.2.2.ebuild
new file mode 100644
index 00000000000..8c4a97a52f9
--- /dev/null
+++ b/app-misc/ckb/ckb-0.2.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils systemd
+
+DESCRIPTION="Corsair K65/K70/K95 Driver"
+HOMEPAGE="https://github.com/ccMSC/ckb"
+SRC_URI="https://github.com/ccMSC/ckb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-libs/quazip[qt5]
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md BUILD.md DAEMON.md )
+
+src_prepare() {
+ sed -i -e "s/-Werror=all//" src/ckb-daemon/ckb-daemon.pro || die
+ sed -i -e "/quazip/d" -e "s/^.*QUAZIP_STATIC/LIBS += -lquazip/" src/ckb/ckb.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ dobin bin/ckb bin/ckb-daemon
+ dodir /usr/bin/ckb-animations
+ exeinto /usr/bin/ckb-animations
+ doexe bin/ckb-animations/*
+
+ newinitd "${FILESDIR}"/ckb.initd ckb-daemon
+ domenu usr/ckb.desktop
+ doicon usr/ckb.png
+ systemd_dounit service/systemd/ckb-daemon.service
+}